Page MenuHomePhabricator

SPIKE: assess the condition of adyen for english backup processing
Closed, ResolvedPublic4 Story Points

Description

Run test transactions. Run stuff through the production gateway. Try to test the realtime listener and audit processor.

Which of their products are we using now? They've pitched a few for us to investigate, but let's focus on the shortest path to success:

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterFix name of staged variable risk_score

Event Timeline

DStrine created this task.Oct 7 2015, 10:17 PM
DStrine assigned this task to cwdent.
DStrine raised the priority of this task from to Needs Triage.
DStrine updated the task description. (Show Details)
DStrine added a project: Fundraising-Backlog.
DStrine added a subscriber: DStrine.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 10:17 PM
DStrine renamed this task from SPIKE: assess the condition of adyan for english back processing to SPIKE: assess the condition of adyan for english backup processing .Oct 7 2015, 10:18 PM
DStrine set Security to None.
atgo renamed this task from SPIKE: assess the condition of adyan for english backup processing to SPIKE: assess the condition of adyen for english backup processing .Oct 7 2015, 10:21 PM
atgo added a subscriber: Ppena.
DStrine edited a custom field.Oct 7 2015, 10:24 PM
DStrine edited a custom field.
awight updated the task description. (Show Details)Oct 7 2015, 10:25 PM
atgo updated the task description. (Show Details)Oct 22 2015, 8:18 PM

Change 248382 had a related patch set uploaded (by Ejegg):
Fix name of staged variable risk_score

https://gerrit.wikimedia.org/r/248382

Ejegg claimed this task.Oct 23 2015, 6:31 PM
Ppena added a comment.Oct 23 2015, 6:53 PM

As a bit of context here: These forms worked with a few % lower success rate than our current forms. The way its integrated the 3rd party cookies were affecting many donors who ended up not being able to donate. So if we end up considering the same integration for Adyen, we need to be aware that the success rate/conversion rate will be lower than usual.

As a backup processor for this December, I think we should plan on the
shortest path to success an revisit a re-integration later.

Change 248382 merged by jenkins-bot:
Fix name of staged variable risk_score

https://gerrit.wikimedia.org/r/248382

Now loading their CC form in iframe, but getting 'Invalid Merchant Account' when submitting payment. Trying to get account status and see if we can reactivate it.

Ejegg added a comment.Nov 3 2015, 11:44 PM

Going to deploy test credentials to production and put a payment through the whole pipeline, then mark it refunded.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 11:44 PM
Ejegg added a comment.Nov 5 2015, 12:21 AM

Test donation made it all the way through to Civi: https://civicrm.wikimedia.org/civicrm/contact/view/contribution?reset=1&id=13257328&cid=12024420&action=view&context=contribution&selectedChild=contribute

Going to leave the listener and job runner on overnight to check the audit file processing.

@Ejegg - seems like this is a bit of a wandering/tracking task - should we close this and just keep the others open?

Ejegg closed this task as Resolved.Nov 10 2015, 7:21 PM

Sounds good @atgo!